%define upstream_name	 PerlIO-via-symlink
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Perl module that helps creating dynamic PerlIO layers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Module::Install)

BuildArch:	noarch

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers.
It is useful when the behavior of the layer depends on variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -rf inc

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

make test

%install
%makeinstall_std
rm -rf %{buildroot}/%{perl_vendorarch}

%files
%doc README CHANGES
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Dec 20 2013 sander85 <sander85> 0.50.0-3.mga4
+ Revision: 559255
- Fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 371795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 13973
- imported package perl-PerlIO-via-symlink

